This is an automated email from the ASF dual-hosted git repository.

brondsem pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/allura.git


The following commit(s) were added to refs/heads/master by this push:
     new e9010eb56 Make ForgeSVN optional again in rebuild-all.bash
e9010eb56 is described below

commit e9010eb5628cfff55e148a84b560ed2a5b929fa4
Author: Dave Brondsema <[email protected]>
AuthorDate: Thu Jun 16 16:54:58 2022 -0400

    Make ForgeSVN optional again in rebuild-all.bash
---
 rebuild-all.bash | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

diff --git a/rebuild-all.bash b/rebuild-all.bash
index 7b88693b0..e547c2fc4 100755
--- a/rebuild-all.bash
+++ b/rebuild-all.bash
@@ -17,7 +17,21 @@
 #       specific language governing permissions and limitations
 #       under the License.
 
+APPS=(Allura* *Forge*)
+
 # the "${...-e}" magic is inspired by this stack exchange and turns a list 
into a oneline
 # https://unix.stackexchange.com/a/445522
-APPS=(Allura* *Forge*)
-pip install --no-index "${APPS[@]/#/-e}"
+APPS_WITH_DASH_E="${APPS[@]/#/-e}"
+
+# don't install ForgeSVN in a main command, since it often is not installable, 
and its optional
+APPS_DASHE_NO_SVN="${APPS_WITH_DASH_E//-eForgeSVN/}"  # string replacement
+pip install --no-index $APPS_DASHE_NO_SVN
+main_ret=$?
+
+pip install --no-index -e ForgeSVN
+if [ "$?" -gt 0 ]; then
+  echo -e "\nIt is okay that ForgeSVN failed.  It needs pysvn which can be 
difficult to install."
+  echo "You can ignore this error.  If you do want SVN support, see 
install_each_step.rst notes about SVN."
+fi
+
+exit $main_ret

Reply via email to